#!/bin/sh
# 
light="/etc/lightdm"
file="/opt/altclub-customizer/lightdm/lightdm-gtk-greeter.conf"
icons="/usr/share/icons"

export_theme(){
    cp $light/lightdm-gtk-greeter.conf $light/lightdm-gtk-greeter.conf.bak
    cp $file $light
    mkdir $icons/default
    echo -e "[Icon Theme]\nInherits=jimmac" >> $icons/default/index.theme
    
    zenity \
        --info \
        --width=500 \
        --title="Установка выполнена" \
        --text="Изменение темы выполнено успешно. Новую темы Вы увидите если снова войдете в сессию.\nДля восстановления старой темы запустите программу еще раз."

    exit
}

user_dialog(){
    zenity \
        --question \
        --no-wrap \
        --title="Установка темы lightdm" \
        --ok-label="Да" \
        --cancel-label="Отмена" \
        --text="Эта программа изменит текущие настройки экрана приветствия темы lightdm.\n\nКурсор: jimmac\nТема панели: Adwaita-dark\nТема иконок: breeze-dark\nФон: Из набора wallpapers-altclub morpho\n\nОтмена вернет старые настройки.\n\n<b>Вы хотите продолжить?</b>"
    
    if [ $? -eq "0" ]; then
        export_theme
    else
        zenity \
            --question \
            --width=500 \
            --title="Настройка темы lightdm" \
            --ok-label="Да" \
            --cancel-label="Отмена" \
            --text="Это действие установит стандартную тему экрана приветствия или завершит работу программы."
            
        if [ $? -eq "0" ]; then
            cp $light/lightdm-gtk-greeter.conf.bak cp $light/lightdm-gtk-greeter.conf
            rm -f $icons/default/index.theme
        fi
            
        exit
    fi
}
user_dialog
