#!/bin/sh

user="$USER"
home="/home/$user"
skel="/etc/skel"

export_theme(){
    beesu -c "cp $skel/.gtkrc-2.0 $home ; \
    cp -R $skel/.config $home"
    
    zenity \
        --info \
        --no-wrap \
        --title="Установка выполнена" \
        --text="Установка темы <b>«Classic-altclub»</b> успешно завершена.\nСнова войдите в сеанс, чтобы новые настройки вступили в силу.\n\nЕсли вы не войдете снова, некоторые графические элементы\nрабочего стола могут быть искажены."
}

user_dialog(){
    zenity \
        --question \
        --no-wrap \
        --title="Экспорт темы" \
        --ok-label="Да" \
        --cancel-label="Отмена" \
        --text="Пользователь: <b>"$(echo "$user")"</b>\nЗапущена установка темы оформления <b>«Classic-altclub»</b> для рабочего стола lxqt.\n\nПосле завершения операции снова войдите в сеанс, чтобы новые\nнастройки вступили в силу.\n\n<b>Вы хотите продолжить?</b>"
    
    if [ $? -eq "0" ]; then
        export_theme
    else
        exit
    fi
}

user_dialog
