#!/bin/sh
# Тема lxqt для plymouth
export_theme(){
    su - root -c "plymouth-set-default-theme -R lxqt-altclub"
    
    zenity \
        --info \
        --width=500 \
        --title="Установка выполнена" \
        --text="Установка темы <b>«lxqt-altclub»</b> успешно завершена.\nЗапустите эту программу еще раз если хотите вернуть стандартную тему plymouth.\nВы увидите новый графический экран как только перезагрузите компьютер."

    exit
}

user_dialog(){
    zenity \
        --question \
        --width=500 \
        --title="Установка темы plymouth" \
        --ok-label="Да" \
        --cancel-label="Отмена" \
        --text="Будет установлена тема <b>plymouth</b> из пакета: <b>plymouth-theme-lxqt-altclub</b>.\nТема создана для рабочего стола <b>lxqt</b>, а в оформлении темы присутствует логотип <b>Razor-lxqt</b>.\nОтмена позволит вернуть стандартную тему или не делать изменений.\n\n<b>Вы хотите установить lxqt-altclub?</b>"
    
    if [ $? -eq "0" ]; then
        export_theme
    else
        su - root -c "plymouth-set-default-theme --reset"
        exit
    fi
}
user_dialog
